Subject: RE: Packman

From: "Yaakov Stein" <[email-masked]>
Date: Fri, 21 Mar 2003 03:29:49 +0200

Sasha, 

Sorry you couldn't make it to the meeting.

> It basically sends a periodic stream of empty
> TDMoIP (draft-anavi) packets, at a configurable
> rate, and measures packet loss. It also measures
> the standard deviation of the arrival time difference
> (the next version will use the OAM mechanism decribed
> in draft-anavi to measure one-way delay, etc. as well).
>
Why "empty TDMoIP" packets (BTW, I do not remember that
draft-anavi defines any such thing, but I may be mistaken).
Is not simple ICMP Echo/Echo reply sufficient?

[YJS] By "empty" I mean that the length can be configured
but the payload is all zero. As I said, this tool doesn't
yet support ICMP packets.

> 
> I have run it over various private networks
> and Internet links, with interesting results.
> In particular, I have discovered that the great majority
> of lost packets are isolated, and not packet loss bursts.
> This is apparently due to (W)RED mechanisms.
>
AFAIK, this is what WRED has been designed for, so I tend
to agree.

[YJS] Well, it surprised everyone at first.
Almost everyone said that since the bit error rate
should be low, almost all packet loss will be from congestion
dropping. And if there is congestion, then many packets
will be dropped. But that is NOT what I observed.

The question is whether this scenario is typical
in some sense, or perhaps there are cases
where bursty packet loss really happens.

> 
> When there are duplicate packets lost, this tends
> to happen at a periodic rate.
> We believe this is due to IGRP table updates.
>
Did you send IP Multicast TDMoIP packets? And, if not, how 
should the IGRP tables update result in douple packet loss?

[YJS] No, these are not multicast packets.
What happens is (at least according to our best understanding)
that IGRP tables are periodically updated every 90 seconds.
When several neighboring routers start updating their traffic is
so intensive that they cause user traffic to be dropped.
This won't be too noticeable for TCP, but shows up as multipacket
packet loss every 90 seconds on some paths. 

An alternative explanation that comes to mind is a well-known bug in some
ARP implementations. Its effects on packet arrival jitter and packet loss
have been described in the presentation made by Stephen Casner at NANOG-22,
May 2001. 

[YJS] Is this available on-line?
The reason we think IGRP is at fault is the 90 second spacing
of packet losses.

Y(J)S